%define desktop_vendor newrpms
%{!?_dist: %{expand: %%define dist rhfc12}}

Summary:	GAdmin-OpenVPN-Server -- A GTK+ administation tool for the OpenVPN server.
Name:		gadmin-openvpn-server
Version:	0.1.5
Release:	0.1.%{dist}.nr
License:	GPL
Group:		Applications/System
URL:		http://mange.dynalias.org/linux.html
Source0:	http://mange.dynalias.org/linux/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_builddir}/%{name}-%{version}-root
Provides:	gadmin-openvpn-server

%description
Gadmin-OpenVPN-Server is a fast and easy to use GTK+ administration tool for the OpenVPN server.

%prep
%setup -q
%configure SYSINIT_START_CMD="chkconfig gadmin-openvpn-server on" SYSINIT_STOP_CMD="chkconfig gadmin-openvpn-server off"

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 %{_sysconfdir}/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 %{_sysconfdir}/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# doc files.. 
install -d %{buildroot}%{_datadir}/doc/%{name}
install -m 644  README COPYING AUTHORS ChangeLog %{buildroot}%{_datadir}/doc/%{name}

### Fixme, translations %find_lang %name

%post 
if test ! -h %{_bindir}/gadmin-openvpn-server ; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gadmin-openvpn-server ; \
fi;

%clean
rm -rf $RPM_BUILD_ROOT

### Fixme, translations  %files -f %{name}.lang
%files
%defattr(0755, root, root)
%{_sbindir}/%{name}

%defattr(0644, root, root)
#%doc COPYING AUTHORS ChangeLog
%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/COPYING 
%{_datadir}/doc/%{name}/AUTHORS 
%{_datadir}/doc/%{name}/ChangeLog

%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%changelog
* Wed Mar 03 2010 Magnus-swe <magnus-swe@telia.com>
- Waits for interfaces before starting firestarter.
- Added an option to export a client setup package for windows openvpn-gui.
- Outputs a better structured sysinit script.
- Removes the home directory selector.
* Sat Feb 27 2010 Magnus-swe <magnus-swe@telia.com>
- NetworkManager has been fixed so interface adjustments where removed.
- Press apply to actualize the new settings.
* Thu Feb 25 2010 Magnus-swe <magnus-swe@telia.com>
- Tunnels all client traffic by default.
- Added a "Client DNS servers" option for pushing multi-DNS servers to clients.
- (Essential when tunneling all traffic and the clients old
-  DNS's cant be reached from within the tunneled-to network)
- Some minor fixes etc.
* Fri Dec 11 2009 Magnus-swe <magnus-swe@telia.com>
- Added optional per user and client (CCD) configuration
- of routes, tweaks, login times and additional options.
- Export fixes.
* Thu Nov 12 2009 Magnus-swe <magnus-swe@telia.com>
- Adds certs and keys to the client export package.
* Fri Aug 21 2009 Magnus-swe <magnus-swe@telia.com>
- Uses /etc/init.d as sysinit scripts dir.
- Sets status color and missing server color.
* Thu Jul 16 2009 Magnus-swe <magnus-swe@telia.com>
- Using 10.8.0 for LAN as default to provide for over
- 65000 simultaneous VPN connections.
- Fixes a critical gui population bug.
- Using start parameter --script-security 2.
- Fixes array comparizon warnings.
* Sat Nov 16 2008 Magnus-swe <magnus-swe@telia.com>
- Share internet regardless of firestarter beeing used.
- Automatically switches firestarters internal
- interface (INIF) to br0 so it will work properly.
* Sat Oct 12 2008 Magnus-swe <magnus-swe@telia.com>
- Adds iptables forwarding for tap+ interfaces 
- Using ifconfig instead of ifup/ifdown scripts.
- Adds lowercase detection for firestarter user-pre contents.
* Sun Oct 05 2008 Magnus-swe <magnus-swe@telia.com>
- Adds export for client setups.
- Added ip forward start and stop commands.
- Adds server user and group if missing.
* Thu Oct 02 2008 Magnus-swe <magnus-swe@telia.com>
- Added options for LAN internet sharing.
- Fixed firestarter integration.
- Wrote help window contents.
* Fri Sep 26 2008 Magnus-swe <magnus-swe@telia.com>
- Initial release.
